Update Memory
curl --request PATCH \
--url https://api.omi.me/v1/dev/user/memories/{memory_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"tags": [
"<string>"
],
"visibility": "<string>"
}
'import requests
url = "https://api.omi.me/v1/dev/user/memories/{memory_id}"
payload = {
"content": "<string>",
"tags": ["<string>"],
"visibility": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', tags: ['<string>'], visibility: '<string>'})
};
fetch('https://api.omi.me/v1/dev/user/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"category": "interesting",
"content": "",
"created_at": "2023-11-07T05:31:56Z",
"edited": false,
"manually_added": false,
"reviewed": false,
"scoring": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"user_review": true,
"visibility": "private"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memories
Update Memory
Update a memory’s content, visibility, tags, or category.
- memory_id: The ID of the memory to update
- content: New content for the memory (optional)
- visibility: New visibility: public or private (optional)
- tags: New tags for the memory (optional)
- category: New category for the memory (optional)
PATCH
/
v1
/
dev
/
user
/
memories
/
{memory_id}
Update Memory
Authorizations
Send Authorization: Bearer <firebase_id_token>.
Path Parameters
Body
application/json
New category for the memory
Available options:
interesting, system, manual, workflow, core, hobbies, lifestyle, interests, habits, work, skills, learnings, other, auto New content for the memory
Required string length:
1 - 500New tags for the memory
New visibility: public or private
Response
Successful Response
Available options:
interesting, system, manual, workflow, core, hobbies, lifestyle, interests, habits, work, skills, learnings, other, auto